Summary:	Utilities belonging to the Reiser4 filesystem
Summary(pl.UTF-8):	Narzędzia dla systemu plików Reiser4
Summary(pt_BR.UTF-8):	Este pacote contém os utilitários para manipulação do sistema de arquivos Reiser4
Summary(ru.UTF-8):	Утилиты для работы с файловой системой Reiser4
Summary(uk.UTF-8):	Утиліти для роботы з файловою системою Reiser4
Name:		reiser4progs
Version:	1.1.0
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/reiser4/%{name}-%{version}.tar.gz
# Source0-md5:	4abfda040a0ef152bc2f42152e247a5e
Patch0:		%{name}-opt.patch
Patch1:		%{name}-libaal.patch
Patch2:		%{name}-libreiser4-no-libmisc.patch
Patch3:		%{name}-am.patch
Patch4:		%{name}-format-security.patch
Patch5:		%{name}-minimal.patch
URL:		http://sourceforge.net/projects/reiser4/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libaal-devel >= 1.0.6
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libuuid-devel
BuildRequires:	readline-devel
Requires:	libaal >= 1.0.6
Obsoletes:	reiserfs-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms. The results when
compared to the ext2fs conventional block allocation based file system
running under the same operating system and employing the same
buffering code suggest that these algorithms are overall more
efficient, and are becoming more so every passing month. Loosely
speaking, every month we find another performance cranny that needs
work, and we fix it, and every month we find some way of improving our
overall general usage performance. The improvement in small file space
and time performance suggests that we may now revisit a common OS
design assumption that one should aggregate small objects using layers
above the file system layer. Being more effective at small files DOES
NOT make us less effective for other files, this is a general purpose
FS, and our overall traditional FS usage performance is high enough to
establish that. Reiserfs has a commitment to opening up the FS design
to contributions, and we are now now adding plug-ins so that you can
create your own types of directories and files.

%description -l pl.UTF-8
Pakiet zawiera programy do tworzenia (mkreiser4), sprawdzania i
naprawiania błędów (reiser4fsck) oraz zmiany wielkości
(resize_reiser4) systemu plików Reiser4.

%description -l pt_BR.UTF-8
Este pacote contém os utilitários para manipulação do sistema de
arquivos Reiser4.

%description -l ru.UTF-8
Набор утилит для работы с файловой системой Reiser4.

%description -l uk.UTF-8
Набір утиліт для роботи з файловою системою Reiser4.

%package devel
Summary:	Header files for reiser4progs libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek reiser4progs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libaal-devel >= 1.0.6

%description devel
Header files for reiser4progs libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek reiser4progs.

%package static
Summary:	reiser4progs static libraries
Summary(pl.UTF-8):	Statyczne biblioteki reiser4progs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libaal-static >= 1.0.5

%description static
reiser4progs static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki reiser4progs.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?debug:--disable-debug}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}

# don't run ldconfig on install
> run-ldconfig

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_lib}
mv -f $RPM_BUILD_ROOT%{_libdir}/lib*.so.* $RPM_BUILD_ROOT/%{_lib}
for f in libreiser4 libreiser4-minimal librepair; do
	lib=$(cd $RPM_BUILD_ROOT/%{_lib}; echo $f-1.0.so.*.*.*)
	ln -sf /%{_lib}/$lib $RPM_BUILD_ROOT%{_libdir}/$f.so
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains information other than GPL text
%doc AUTHORS BUGS COPYING CREDITS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_sbindir}/debugfs.reiser4
%attr(755,root,root) %{_sbindir}/fsck.reiser4
%attr(755,root,root) %{_sbindir}/make_reiser4
%attr(755,root,root) %{_sbindir}/measurefs.reiser4
%attr(755,root,root) %{_sbindir}/mkfs.reiser4
%attr(755,root,root) /%{_lib}/libreiser4-1.1.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libreiser4-1.1.so.0
%attr(755,root,root) /%{_lib}/libreiser4-minimal-1.1.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libreiser4-minimal-1.1.so.0
%attr(755,root,root) /%{_lib}/librepair-1.1.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/librepair-1.1.so.0
%{_mandir}/man8/debugfs.reiser4.8*
%{_mandir}/man8/fsck.reiser4.8*
%{_mandir}/man8/measurefs.reiser4.8*
%{_mandir}/man8/mkfs.reiser4.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libreiser4.so
%attr(755,root,root) %{_libdir}/libreiser4-minimal.so
%attr(755,root,root) %{_libdir}/librepair.so
%{_libdir}/libreiser4.la
%{_libdir}/libreiser4-minimal.la
%{_libdir}/librepair.la
%{_includedir}/reiser4
%{_includedir}/repair
%{_aclocaldir}/libreiser4.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libreiser4.a
%{_libdir}/libreiser4-minimal.a
%{_libdir}/librepair.a
%changelog
* Sun Nov 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/reiser4progs.git;a=log;h=auto/th/reiser4progs-1.1.0-1

* Sat Oct 31 2015 Jakub Bogusz <qboosh@pld-linux.org> 9f6a326
- updated to 1.1.0 (note: new sonames)
- added minimal patch (fixes libreiser4-minimal)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ec981c0
- release 2 (by relup.sh)

* Wed Oct 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 2844162
- updated URL and libaal dependencies, avoid ldconfig on install (following libaal.spec)

* Sat Sep 20 2014 Marcin Krol <hawk@tld-linux.org> 9a9e264
- updated to 1.0.9

* Sun Jun 23 2013 Jan Rękorajski <baggins@pld-linux.org> f26fdbf
- release 2 (by relup.sh)

* Thu Feb 14 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 9cb4e2e
- Fix build with -Werror=format-security

* Thu Feb 14 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 2b362d6
- Fix build with automake 1.13

* Fri Jan 07 2011 sparky <sparky@pld-linux.org> 24fe978
- added libreiser4-no-libmisc patch -- fixes libreiser4.so linking

* Fri Jan 07 2011 sparky <sparky@pld-linux.org> a4f9721
- remove any reference to libmisc from libreiser4 -- it is much simpler than
  linking with whole libmisc

* Mon Aug 16 2010 Jakub Bogusz <qboosh@pld-linux.org> a71c157
- updated to 1.0.7 (new sonames)
- removed obsolete elif patch

* Fri Aug 28 2009 Artur Frysiak <artur@frysiak.net> 0e5dc94
- added elif.patch (fix syntax error)
- added makefile.patch (remove dubbled object.h entry from Makefile.am)
- release 2

* Sat Mar 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 1a3f667
- updated to 1.0.6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ffd2aa4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5deb862
- converted to UTF-8

* Mon Oct 30 2006 Jakub Bogusz <qboosh@pld-linux.org> 734f0e0
- move libs without breaking *.la; release 4

* Thu Oct 19 2006 Paweł Sikora <pluto@pld-linux.org> 555e7cd
- put devel stuff into %{_libdir}.

* Mon Jul 17 2006 Elan Ruusamäe <glen@pld-linux.org> 0e8f6fb
- undo adapter breakage

* Mon Jul 17 2006 piti <piti@pld-linux.org> 7eaa033
- Libs moved to /lib instead of /urs/lib. Adaptarized.

* Thu May 25 2006 Paweł Sikora <pluto@pld-linux.org> 192fa94
- R: libaal-static for libreiser4-minimal.a, release 3.

* Sat Sep 17 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ee3738
- new readline, 5.0

